Subject: Re: [PATCH 2/3] ls-remote: remove documentation for custom -h option

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Sep 2021 11:17:05 -0700

SZEDER Gábor <[email-masked]> writes:

> On Fri, Sep 24, 2021 at 06:51:45PM +0200, Ævar Arnfjörð Bjarmason wrote:
>> The custom handling of the "-h" option was broken in
>> ba5f28bf79e (ls-remote: use parse-options api, 2016-01-19), first
>> released with Git v2.8.0. We've been promising that it's a synonym of
>> --head, but it's not.
>> 
>> We could make this work again by supplying the
>> PARSE_OPT_NO_INTERNAL_HELP flag to parse_options(), but if we were
>> writing this command today we wouldn't make this an exception. Since
>> it's been such a long time let's just remove this rather than
>> restoring the exception to "-h" handling.
>
> This breaks the case when '-h' is used in combination with a remote:

Yes, I think I covered this in my response to Ignacy.  Perhaps Ævar
can read it before rerolling this series.

Thanks.